Main Page Class Hierarchy Compound List File List Compound Members File Members

# parse_trig.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <earthworm.h>`
`#include <parse_trig.h>`

Go to the source code of this file.

## Defines
#define | LINE_LEN 500
#define | BAD_TIME_VALUE 5
#define | TIMESTR_LEN 17
#define | YMD_LEN 8
#define | HOUR_LEN 2
#define | MIN_LEN 2
#define | SEC_LEN 5
## Functions
int | epochsec17 (double *, char *)
int | getNextLine (char **, char *)
int | t_atodbl (char *, char *, double *)
int | parseSnippet (char *msg, SNIPPET *pSnp, char **nxtLine)

## Define Documentation

#define BAD_TIME_VALUE 5

| Definition at line 69 of file parse_trig.c.

#define HOUR_LEN 2

| Definition at line 363 of file parse_trig.c.

#define LINE_LEN 500

| Definition at line 68 of file parse_trig.c.

#define MIN_LEN 2

| Definition at line 364 of file parse_trig.c.

#define SEC_LEN 5

| Definition at line 365 of file parse_trig.c.

#define TIMESTR_LEN 17

| Lengths of fields in the time string * Definition at line 361 of file parse_trig.c.

#define YMD_LEN 8

| Definition at line 362 of file parse_trig.c.

## Function Documentation

int epochsec17 | ( | double * | ,
|  | char * |
| ) |

| Definition at line 324 of file chron3.c.

int getNextLine | ( | char ** | ,
|  | char * |
| ) |

| Referenced by parseSnippet().

int parseSnippet | ( | char * | msg,
|  | SNIPPET * | pSnp,
|  | char ** | nxtLine
| ) |

| Definition at line 104 of file parse_trig.c. References SNIPPET::author, AUTHOR_FIELD_SIZE, BAD_TIME_VALUE, SNIPPET::chan, SNIPPET::duration, SNIPPET::eventId, EVENTID_SIZE, getNextLine(), LINE_LEN, logit(), MAX_SUBNET_LEN, SNIPPET::net, SNIPPET::sta, SNIPPET::startHHMMSS, SNIPPET::starttime, SNIPPET::startYYYYMMDD, SNIPPET::subnet, and t_atodbl().

int t_atodbl | ( | char * | YYYYMMDD,
|  | char * | HHMMSS,
|  | double * | starttime
| ) |

| skip over the ':' in time field skip over the ':' in time field